#################################################
# This file configure build tools for OpenStack #
# and is used by scripts under /usr/bin/pkgos-* #
#################################################

### Target OS and target OpenStack release ###
##############################################
# Target distribution for which we are backporting for
TARGET_DISTRO=buster

# OpenStack release name we're building
TARGET_OPENSTACK_REL=ussuri

### Target backport distribution ###
# Release number as it appears on the changelog (ie: as in ~bpo8+1)
TARGET_DISTRO_NUM=10

# Release backport postfix, to use with pkgos-bb
BPO_POSTFIX=bpo${TARGET_DISTRO_NUM}+1

### Definitions for your Debian repository ###
##############################################
# Root folder where the Debian FTP archive will be populated by a build
REPO_ROOT=/home/ftp

# what will be the http://<url>debian <REPO_DEST> main ?
REPO_DEST=${TARGET_DISTRO}-${TARGET_OPENSTACK_REL}-backports

# Space separated list of arch to scan using dpkg-scanpackages
SCAN_ARCHES=amd64

# Where to store the strait backports (eg: backports with no change
# at all from original source package, only a rebuild...)
REPO_NOCHANGE_BACKPORT_DEST=${TARGET_DISTRO}-${TARGET_OPENSTACK_REL}-backports-nochange

# This is where to upload a package to backport using pkgos-bb
SCP_DEST_HOST=archive.gplhost.com

# What folder inside SCP_DEST_HOST
SCP_DEST_SUITE=${REPO_DEST}

# Debian mirror near you for faster build (hint: you can use approx)
CLOSEST_DEBIAN_MIRROR=http://localhost:9999/debian

### Hostname of your computer ###
#################################
# Hostname postfix (for example, with the above, it's going to
# be juno-jessie.pkgs.mirantis.com)
HOSTNAME_POSTFIX="infomaniak.ch"

# Calculated using the above
HOST_FQDN="${TARGET_DISTRO}-${TARGET_OPENSTACK_REL}.${HOSTNAME_POSTFIX}"

# Password of the user for jenkins-jobs-builder to use
JENKINS_JOBS_BUILDER_PASS=

### Git clone URLs (using alioth.debian.org ...) ###
####################################################
# From what Git repository should we git clone packages?
CLONE_URL_BASE=https://salsa.debian.org/openstack-team

# Same as above, but for javascript packages listed in PKG_JS below
CLONE_URL_PKGJS=https://salsa.debian.org/javascript-team

# Run unit tests or skip them? With anything else than no,
# unit tests will run.
PKGOS_RUN_UNIT_TESTS_AT_BUILD=yes

BUILD_FROM_TRUNK=no

############################
# Definitions of branches. #
############################
# Packages using debian/${TARGET_OPENSTACK_REL}
OSTACK_PKGS=`cat /etc/pkgos/packages-list/openstack-release-branch | tr '\n' ' '`

# Packages using debian/experimental
EXPERIMENTAL_BRANCH=`cat /etc/pkgos/packages-list/experimental-branch | tr '\n' ' '`

# List of packages within the pkgs-js Alioth group,
# cloned from the ${CLONE_URL_PKGJS} repository (see above for the URL)
PKG_JS=`cat /etc/pkgos/packages-list/pkg-javascript-repo | tr '\n' ' '`

SERVERS=`cat /etc/pkgos/packages-list/servers`

# Run adt-run after every package build
RUN_AUTOPKGTEST=no
AUTOPKGTEST_SCHROOT=${TARGET_DISTRO}-amd64-sbuild

##########################################
# Start of pkgos-check-changelog options #
##########################################

# "LOOK_FOR_FORMAT_ERRORS_MODE" and "SORTING_VERSION_MODE" can takes values [disable|notification|peform]
# For applying changes provided by parametrs choose "perform" value for the target parametr.
# For disabling performing functions privided this parametrs chose disable value
# For only displaying notifications and do not perform any actions chose notification value
LOOK_FOR_FORMAT_ERRORS_MODE=disable
SORTING_VERSION_MODE=disable

# Display found anomalies [yes|no]
FIND_ANOMALIES=no

# Default path to the changelog file
INPUT_FILE="debian/changelog"

########################################
# End of pkgos-check-changelog options #
########################################
